Package org.kie.internal.builder.fluent

# Interface ContextFluent<T,E>

All Known Subinterfaces:
  `ExecutableBuilder`, `KieSessionFluent`

public interface ContextFluent<T,E>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `addCommand(ExecutableCommand<?> command)`
  `E`
  `end()`
  End the scope of the current Command set
  `T`
  `endConversation(String uuid)`
  `T`
  `get(String name)`
  `<K> K`
  `get(String name, Class<K> cls)`
  This sets an instance, for a given cls key, on the registry for commands to execute against.
  `T`
  `get(String name, Scope scope)`
  `T`
  `getApplicationContext(String name)`
  `T`
  `joinConversation(String uuid)`
  `T`
  `newApplicationContext(String name)`
  `T`
  `out()`
  The output from the last command should be returned via the out results.
  `T`
  `out(String name)`
  The output from the last executed command should be returned and set to the given name in the context.
  `T`
  `set(String name)`
  The last executed command result is set to a name in this executing context.
  `T`
  `set(String name, Scope scope)`
  `T`
  `startConversation()`

- ## Method Details

  - ### set

    T set(String name)
    The last executed command result is set to a name in this executing context. Default Scope is Request
    Parameters:
      `name` -
    Returns:
      this

  - ### set

    T set(String name, Scope scope)

  - ### get

    T get(String name)

  - ### get

    T get(String name, Scope scope)

  - ### get

    <K> K get(String name, Class<K> cls)
    This sets an instance, for a given cls key, on the registry for commands to execute against. This method will call "end" if within the context of a given registry command
    Type Parameters:
      `K` -
    Parameters:
      `name` -
      `cls` -
    Returns:

  - ### out

    T out()
    The output from the last command should be returned via the out results. It uses the last used name identifer for the previous get or set.
    Returns:
      this

  - ### out

    T out(String name)
    The output from the last executed command should be returned and set to the given name in the context. It uses the specified named identifierl
    Parameters:
      `name` -
    Returns:
      this

  - ### addCommand

    T addCommand(ExecutableCommand<?> command)

  - ### newApplicationContext

    T newApplicationContext(String name)

  - ### getApplicationContext

    T getApplicationContext(String name)

  - ### startConversation

    T startConversation()

  - ### joinConversation

    T joinConversation(String uuid)

  - ### endConversation

    T endConversation(String uuid)

  - ### end

    E end()
    End the scope of the current Command set
    Returns: